#! /usr/bin/perl -wT

use strict ;

do ("./lib.pl") || die( "could not include subroutine library ($!)" ) ;

# for running from command line
if (!defined( $ENV{"REQUEST_METHOD"} ))
{
	$ENV{"REQUEST_METHOD"} = "GET" ;
	$ENV{"QUERY_STRING"} = "page=FrontPage" ;
}

($ENV{"REQUEST_METHOD"} eq "GET") || die( "script must be accessed by GET" ) ;
my $queryString = $ENV{"QUERY_STRING"} ;
my %query = &parse( $queryString ) ;
my $page = &cleanPage( $query{"page"} ) ;
my $pageFile = &pageFile( $page ) ;
open( PAGE, "< " . $pageFile ) || die( "could not open page file" ) ;

print "Content-type: text/plain\n" ;
print "\n" ;
while (my $line = <PAGE>)
{
	print $line ;
}
